Bug 1127356 - ERROR [org.jboss.as.controller.management-operation] (management-handler-thread - 1) JBAS014612: Operation ("read-resource") failed [NEEDINFO]
Summary: ERROR [org.jboss.as.controller.management-operation] (management-handler-thre...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR02
: JON 3.3.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 18:11 UTC by Matt Mahoney
Modified: 2014-09-03 18:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-03 18:23:04 UTC
Type: Bug
hrupp: needinfo? (mmahoney)


Attachments (Terms of Use)
Server.log (1.43 MB, text/plain)
2014-08-06 18:11 UTC, Matt Mahoney
no flags Details

Description Matt Mahoney 2014-08-06 18:11:01 UTC
Created attachment 924554 [details]
Server.log

Description of problem:
Error in server.log file after clean install and server start:

10:49:46,987 ERROR [org.jboss.as.controller.management-operation] (management-handler-thread - 1) JBAS014612: Operation ("read-resource") failed - address: ([("subsystem" => "web")]) - failure description: "JBAS014807: Management resource '[(\"subsystem\" => \"web\")]' not found"


Version-Release number of selected component (if applicable):
JON 3.3 DR01

How reproducible:


Steps to Reproduce:
1. Install and start JON
2.
3.

Actual results:
Errors in server.log after clean install/start.

Expected results:
Should be zero silent errors in server.log

Additional info:

Comment 1 Heiko W. Rupp 2014-08-26 12:39:06 UTC
That is very obviously a message of the underlying EAP.

JON startup needs to determine if the web connector is already deployed or not and does this my trying to read the resource. Unfortunately EAP is logging a simple "not found" as a severe failure, as it is too stupid internally to differentiate between a 404 and 500 error code and always returns a 500 one.

Proposing to close this with won't fix.


Note You need to log in before you can comment on or make changes to this bug.